%global repo dde-tray-loader

Name:           deepin-tray-loader
Version:        1.0.4
Release:        %autorelease
Summary:        A set of tray plugins for Deepin
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-tray-loader
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
#Patch0:         https://github.com/linuxdeepin/dde-tray-loader/commit/664b093b6a913764fedbac9110927f26978aa8c9.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5XkbCommonSupport)
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkGui)
BuildRequires:  cmake(DtkWidget)

BuildRequires:  cmake(DFrameworkdbus)
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(dbusmenu-qt5)
# BuildRequires:  cmake(QtWaylandScanner)

BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xcb-xtest)
BuildRequires:  pkgconfig(xcb-res)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xkbcommon)

Provides:       deepin-dock = 6.0.37.%{version}-%{release}
Obsoletes:      deepin-dock <= 6.0.37-1

%description
The dde-tray-loader project provides a set of tray plugins that integrated into
task bar and the tool loader which can load the plugins.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Provides:       deepin-dock = 6.0.37.%{version}-%{release}
Obsoletes:      deepin-dock <= 6.0.37-1

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

sed -i '/DSG_APP_ID/s|dde-dock|org.deepin.dde.dock|' src/loader/main.cpp

%build
%cmake -GNinja -DVERSION=%{version} -DDTL_BUILD_WITH_QT6=ON
%cmake_build

%install
%cmake_install

%find_lang dde-dock --with-qt
%find_lang trayplugin-loader --with-qt

rm -v %{buildroot}%{_datadir}/dde-dock/translations/dde-dock.qm \
     %{buildroot}%{_datadir}/trayplugin-loader/translations/trayplugin-loader.qm

# Move the configuration files to the standard Jupyter directories
mv %{buildroot}%{_prefix}%{_sysconfdir} %{buildroot}%{_sysconfdir}

%files -f dde-dock.lang -f trayplugin-loader.lang
%doc README.md
%license LICENSES/*
%{_sysconfdir}/dde-dock/indicator/keybord_layout.json
%{_libexecdir}/trayplugin-loader
%{_prefix}/lib/dde-dock/plugins/*.so
%{_prefix}/lib/dde-dock/plugins/system-trays/*.so
%{_libdir}/libdde-trayplugin-interface.so.0*
%{_qt5_plugindir}/wayland-shell-integration/libplugin-shell.so
%{_datadir}/dde-dock/icons/dcc-setting/*.svg
%{_datadir}/dsg/configs/org.deepin.dde.dock/*.json
%{_datadir}/dsg/configs/org.deepin.dde.tray-loader/*.json
%{_datadir}/glib-2.0/schemas/*.xml

%files devel
%{_libdir}/libdde-trayplugin-interface.so
%dir %{_includedir}/dde-dock
%{_includedir}/dde-dock/*.h
%{_includedir}/dde-tray-loader/protocol/plugin-manager-v1.xml
%{_libdir}/cmake/DdeDock/
%{_libdir}/cmake/DdeTrayLoader/
%{_libdir}/pkgconfig/dde-dock.pc
%{_libdir}/pkgconfig/dde-tray-loader.pc

%changelog
%autochangelog
